std::chrono::operator==,(std::chrono::year_month)(3)

NAME
std::chrono::operator==,(std::chrono::year_month) - std::chrono::operator==,(std::chrono::year_month)

Synopsis
   Defined in header <chrono>
   constexpr bool operator==( const std::chrono::year_month& x, (1) (since C++20)
   const std::chrono::year_month& y ) noexcept;
   constexpr std::strong_ordering operator<=>( const
   std::chrono::year_month& x, (2) (since C++20)
   const std::chrono::year_month& y ) noexcept;
   Compares the two year_month values x and y.
   The <, <=, >, >=, and != operators are synthesized from operator<=> and operator==
   respectively.

Return value
   1) x.year() == y.year() && x.month() == y.month()
   2) x.year() <=> y.year() != 0 ? x.year() <=> y.year() : x.month() <=> y.month()

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     using namespace std::chrono;
     constexpr year_month ym1 {year(2021), month(7)};
     constexpr year_month ym2 {year(2021)/7};
     std::cout << std::boolalpha << (ym1 == ym2) << '\n';
     static_assert(
         (2020y/1 < 2020y/2) && (2020y/2 == 2020y/2) && (2020y/3 <= 2021y/3)
      && (2023y/1 > 2020y/2) && (3020y/2 != 2020y/2) && (2020y/3 >= 2020y/3)
     );
 }

Output:
 true